net.i2p.router.web

## Class ConfigNavHelper

- java.lang.Object
- - net.i2p.router.web.HelperBase
  - - net.i2p.router.web.ConfigNavHelper

    public class ConfigNavHelper
    extends HelperBase

refactored from confignav.jsp to reduce size and make translation easier

Author:
  zzz

### Field Summary

### Fields inherited from class net.i2p.router.web.HelperBase

`_context, _out`

### Constructor Summary

Constructors
Constructor and Description
`ConfigNavHelper()`

### Method Summary

Methods
`void` `renderNavBar(String requestURI)`

### Methods inherited from class net.i2p.router.web.HelperBase

`_, _, _, _x, ngettext, setContextId, storeWriter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigNavHelper

    public ConfigNavHelper()

### Method Detail

#### renderNavBar

    public void renderNavBar(String requestURI)
                      throws IOException

Throws:
  `IOException`